[project]
name = "cloud-removal"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "datasets>=4.1.1",
    "einops>=0.8.1",
    "lpips>=0.1.4",
    "pyright>=1.1.405",
    "python-lsp-server>=1.13.1",
    "pytorch-msssim>=1.0.0",
    "ruff>=0.13.2",
    "safetensors>=0.6.2",
    "torch>=2.8.0",
    "torchcfm>=1.0.7",
    "torchdiffeq>=0.2.5",
    "torcheval>=0.0.7",
    "torchmetrics>=1.8.2",
    "torchvision>=0.23.0",
    "tqdm>=4.67.1",
    "transformers>=4.56.2",
    "wandb[media]>=0.22.0",
    "flash-attn",
    "accelerate>=1.11.0",
    "hdit>=0.0.1b6",
    "lovely-tensors>=0.1.19",
    "natten==0.21.1+torch280cu128",
]

[tool.uv.extra-build-dependencies]
flash-attn = [{ requirement = "torch", match-runtime = true }]

[tool.uv.extra-build-variables]
flash-attn = { FLASH_ATTENTION_SKIP_CUDA_BUILD = "TRUE" }
